<?php
$StrCmd=V($_POST['TxtAc']);
$LStrPag=V($_POST['TxtPag']);
if($StrCmd=="F")$LStrPag="1";
//
$StrAlm=V($_POST['CboAlm']);
$StrCod=V($_POST['TxtCod']);		
$StrLin=V($_POST['CboLin']);
$StrDes=V($_POST['TxtDes']);
$StrMar=V($_POST['CboMar']);
$Fab=V($_POST['Fab']);
$Mod=V($_POST['Mod']);
$Fab_=LIKE($Fab);
$Mod_=LIKE($Mod);
//
if($_SESSION['SYS_USER_ALM']=="%"){
	if(strlen($StrAlm)==0)$StrAlm=GetSO("alm_nombre","almacenes","","alm_nombre");
}else{
	$StrAlm=$_SESSION['SYS_USER_ALM'];
}
	
$StrAlm=T($StrAlm);


$StrCodT=$StrCod."%";
$StrLinT=VCbo($StrLin);
$StrDesT=$StrDes."%";
$StrMarT=VCbo($StrMar);	
//
$FF="ALM LIKE '$StrAlm' 
		AND COD LIKE '$StrCodT' 
		AND LIN LIKE '$StrLinT' 
		AND DES LIKE '$StrDesT' 
		AND MAR LIKE '$StrMarT' 
		AND FAB LIKE '$Fab_' 
		AND MODELO LIKE '$Mod_' ";//


$VP_RegXPag=19;
$LStrTR=gn("count(*)","vis_productos_stock2",$FF);
$LStrPag=PagGet($LStrPag,$StrCmd,$LStrTR,$VP_RegXPag);	
$TI=0;
?>